<?php
namespace Config\Service;



/**
 * Manage country data.
 * @author andre.fourie
 */
class Config extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Config',
			'DatasetName' => 'config',
			'Entity'      => '\Config\Entity\Config',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	 */
	protected $metaView = array(
			'Type'      => 'View',
			'Expand'    => array(),
			'Intersect' => array()
	);
	/**
	 * @var array
	*/
	protected $metaUpdate = array(
			'Type' 			=> 'Update',
			'Contract' 		=> 'UseOnce',
			'RequiredInput' => array(
					'Config' => array(
							'sourceEmailAddress'       => 'Email',
							'adminEmailAddress'        => 'Email',
							'priceGuideOpenDays'       => 'Integer',
							'priceGuideCompletionDays' => 'Integer',
							'auctionMaxDays'           => 'Integer'
					)
			),
			'OptionalInput' => array(
					'Config' => array(
							'smsNewPin'           => 'Boolean',
							'sourceMobileAddress' => 'String20'
					)
			)
	);

}